"use strict";
const codeceptjs_1 = require("codeceptjs");
const path_1 = require("path");
const fs = require('fs');
const json = require('format-json');
const codeceptjs_2 = require("codeceptjs");
let outputDir;
let fileName;
function fileNameValidation(fileName) {
    if (!fileName.toLowerCase().includes('.txt'))
        return fileName + '.txt';
}
module.exports = (config) => {
    outputDir = (config === null || config === void 0 ? void 0 : config.outputDir) || codeceptjs_2.config.get().output;
    fileName = (config === null || config === void 0 ? void 0 : config.fileName) ? fileNameValidation(config === null || config === void 0 ? void 0 : config.fileName) : 'failures.txt';
    codeceptjs_1.event.dispatcher.on(codeceptjs_1.event.test.failed, async (test, err) => {
        const data = {
            testID: test.uid,
            startedAt: (new Date(test.startedAt)).toString(),
            testTitle: test.title,
            error: err
        };
        fs.appendFile((0, path_1.resolve)(outputDir, fileName), `${json.plain(data)}\n ============== \n`, function (err) {
            if (err)
                return console.log(err);
        });
    });
    return this;
};
